This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 355441 - Shell features (spell, wc, sort, etc.) fail from nedit menu
Shell features (spell, wc, sort, etc.) fail from nedit menu
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nedit (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 14:19 EDT by Chris Negus
Modified: 2013-07-02 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.5-12.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:51:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Negus 2007-10-27 14:19:42 EDT
Description of problem:
While editing a document with nedit, select the Shell menu, then select spell,
wc, sort or other shell commands to run on the document. Those commands fail
with the message "Error starting shell: /bin/csh". The problem goes away if the
tcsh package is installed.

Version-Release number of selected component (if applicable):

nedit-5.5-12.fc8

How reproducible:
Always, if the csh shell (tcsh package) isn't installed.

Steps to Reproduce:
1. Open nedit
2. Open any text file
3. Select Shell -> wc  (or spell, sort, etc.)

  
Actual results:

Message appears "Error starting shell: /bin/csh

Expected results:

The requested command should run on the file being edited.

Additional info:

I'm guessing that the tcsh package should be required to install nedit or maybe
nedit could be changed to use a shell that's always there (like bash).
Comment 1 Jindrich Novy 2007-10-29 08:26:15 EDT
Ok, I switched default shell to /bin/sh by default so that we don't need to
require tcsh for nedit. Thanks for noticing!
Comment 2 Fedora Update System 2007-11-09 18:39:11 EST
nedit-5.5-12.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nedit'
Comment 3 Fedora Update System 2007-11-20 12:51:43 EST
nedit-5.5-12.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-11-20 13:09:10 EST
nedit-5.5-13.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.